package com.xunhong.erp.turbo.api.infra.api;

import com.xunhong.erp.turbo.api.infra.dto.cmd.WarehouseCreateCmd;
import com.xunhong.erp.turbo.api.infra.dto.cmd.WarehouseDestroyCmd;
import com.xunhong.erp.turbo.api.infra.dto.cmd.WarehouseUpdateCmd;
import com.xunhong.erp.turbo.api.infra.dto.qry.WarehouseListQry;
import com.xunhong.erp.turbo.api.infra.dto.qry.WarehousePageQry;
import com.xunhong.erp.turbo.api.infra.dto.qry.WarehouseShowQry;
import com.xunhong.erp.turbo.api.infra.dto.vo.WarehouseVO;
import com.xunhong.erp.turbo.base.dto.PageDTO;

import java.util.List;

/**
 * @author shenyifei
 */
public interface WarehouseServiceI {
	WarehouseVO create(WarehouseCreateCmd warehouseCreateCmd);

	PageDTO<WarehouseVO> page(WarehousePageQry warehousePageQry);

	List<WarehouseVO> list(WarehouseListQry warehouseListQry);

	WarehouseVO update(WarehouseUpdateCmd warehouseUpdateCmd);

	WarehouseVO show(WarehouseShowQry warehouseShowQry);

	void destroy(WarehouseDestroyCmd warehouseDestroyCmd);
}

